Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.workplace.wcm.api.query
Enum WorkflowSelectors.Status

    java.lang.Object
      java.lang.Enum<WorkflowSelectors.Status>
          com.ibm.workplace.wcm.api.query.WorkflowSelectors.Status

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WorkflowSelectors.Status>

Enclosing class:
  WorkflowSelectors

    public static enum WorkflowSelectors.Status

extends java.lang.Enum<WorkflowSelectors.Status>

Workflow status

Enum Constant Summary
`DELETED` Deleted
`DRAFT` Draft
`EXPIRED` Expired
`PUBLISHED` Published

Method Summary
`int` | `value()`
`static WorkflowSelectors.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WorkflowSelectors.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DRAFT

    public static final WorkflowSelectors.Status DRAFT

  Draft

### PUBLISHED

    public static final WorkflowSelectors.Status PUBLISHED

  Published

### EXPIRED

    public static final WorkflowSelectors.Status EXPIRED

  Expired

### DELETED

    public static final WorkflowSelectors.Status DELETED

  Deleted

Method Detail

### values

    public static WorkflowSelectors.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WorkflowSelectors.Status c : WorkflowSelectors.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WorkflowSelectors.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public int value()

  Returns:
    a distinguishing state value

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD